# RequestLimiter - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.settings.limiters / RequestLimiter

# RequestLimiter

(common) `interface RequestLimiter` (source)

### Functions

(common)

#### limit

Use limit for working of block (like delay between or after, for example)

`abstract suspend fun <T> limit(block: suspend () -> T): T`

### Inheritors

(common)

#### CommonLimiter

`class CommonLimiter : RequestLimiter`

(common)

#### EmptyLimiter

`object EmptyLimiter : RequestLimiter`

(common)

#### PowLimiter

`data class PowLimiter : RequestLimiter`